"use client";
import React, { useCallback } from "react";
import Particles from "react-tsparticles";
import type { Engine } from "tsparticles-engine";
import { loadFull } from "tsparticles";
function Hero() {
  const particlesInit = useCallback(async (engine: Engine) => {
    await loadFull(engine);
  }, []);
  return (
    <div>
      <div className="relative md:pl-[80px] lg:pl-[80px] md:h-[600px] lg:h-[600px] pl-5 pr-5">
        <div className="absolute inset-0 w-full h-full pointer-events-none">
          <Particles
            id="tsparticles"
            init={particlesInit}
            className="absolute inset-0"
            options={{
              background: { color: "transparent" },
              fullScreen: { enable: false }, // This prevents particles from taking up the whole page
              particles: {
                color: { value: "#398D9C" }, // Red particles
                number: { value: 80, density: { enable: true, area: 800 } },
                shape: { type: "circle" },
                opacity: { value: 0.5 },
                size: { value: 3 },
                move: { enable: true, speed: 1 },
                links: { enable: true, color: "#398D9C", opacity: 10 },
              },
              interactivity: {
                events: {
                  onHover: { enable: true, mode: "repulse" },
                  onClick: { enable: true, mode: "push" },
                },
                modes: {
                  repulse: { distance: 100 },
                  push: { particles_nb: 4 },
                },
              },
            }}
          />
        </div>
        <div className="flex  flex-col md:flex-row lg:flex-row relative mt-20 md:mt-0 lg:mt-0 ">
          <div className="flex-1 md:h-[500px] lg:h-[500px] flex flex-col justify-center">
            <div className="border-[3px] border-black md:w-[150px] lg:w-[150px] w-[100px] text-center pt-2 pb-2 rounded-[30px] text-black font-[800] bg-white">
              Contact
            </div>
            <h2 className="md:text-[54px] lg:text-[54px] text-[35px] font-openSans font-[800]">
              Don’t Hesitate to contact with us for any kind of information
            </h2>
          </div>
          <div className="flex-1 md:bg-black lg:bg-black ">
            <div className="flex-1 md:bg-black lg:bg-black  bg-white flex items-center justify-center mt-5">
              <form className="md:bg-white lg:bg-white bg-black p-6 rounded-lg w-[80%] max-w-[400px]">
                <h3 className="text-xl font-semibold text-center mb-4 md:text-black lg:text-black text-white">
                  Send a Message
                </h3>
                <div className="mb-4">
                  <label className="block text-sm font-medium md:text-black lg:text-black text-white">
                    Name
                  </label>
                  <input
                    type="text"
                    className="w-full p-2 border rounded-md"
                    placeholder="Enter your name"
                  />
                </div>
                <div className="mb-4">
                  <label className="block text-sm font-medium md:text-black lg:text-black text-white">
                    Contact
                  </label>
                  <input
                    type="text"
                    className="w-full p-2 border rounded-md"
                    placeholder="Enter your contact number"
                  />
                </div>
                <div className="mb-4">
                  <label className="block text-sm font-medium md:text-black lg:text-black text-white">
                    Message
                  </label>
                  <textarea
                    className="w-full p-2 border rounded-md"
                    rows={4}
                    placeholder="Type your message..."
                  ></textarea>
                </div>
                <button
                  type="submit"
                  className="w-full md:bg-black lg:bg-black bg-white  md:text-white lg:text-white  text-black py-2 rounded-md font-semibold hover:bg-gray-800"
                >
                  Send
                </button>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  );
}

export default Hero;
